Skip to content
POST /static-gate

Request Body

api_token_secretstring

Optional API token secret. If not provided, one will be generated automatically.

Example: your-api-token-secret
domainstring

The domain this static gate will proxy requests for.

Example: api.example.com
environment_idstring · uuid

The ID of the environment this static gate will be scoped to.

Example: 8a2b104d-74a6-47f2-b93e-c6b611e82391
namestring

A descriptive name for the static gate.

Example: My Static Gate

Response Body

api_tokenstring

The generated API token for this static gate.

Example: abc123def456ghi789jkl012mno345pqr678stu901vwx234yz
created_atstring · date-time

The date and time when the static gate was created.

Example: 2021-08-10T10:30:00.000Z
created_bystring · uuid

The ID of the user who created this static gate.

Example: b7bb7578-bff2-42b2-a57f-46c874865296
domainstring

The domain this static gate will proxy requests for.

Example: api.example.com
environment_idstring · uuid

The ID of the environment this static gate is scoped to.

Example: 8a2b104d-74a6-47f2-b93e-c6b611e82391
idstring · uuid

The ID of the static gate.

Example: 1ba1f401-7183-47c5-9e39-e8e257e3c795
namestring

A descriptive name for the static gate.

Example: My Static Gate
updated_atstring · date-time

The date and time when the static gate was last updated.

Example: 2021-08-10T10:30:00.000Z
curl -X POST 'https://api.truto.one/static-gate' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "My Static Gate",
  "domain": "api.example.com",
  "environment_id": "8a2b104d-74a6-47f2-b93e-c6b611e82391",
  "api_token_secret": "your-api-token-secret"
}'
const body = {
  "name": "My Static Gate",
  "domain": "api.example.com",
  "environment_id": "8a2b104d-74a6-47f2-b93e-c6b611e82391",
  "api_token_secret": "your-api-token-secret"
};

const response = await fetch('https://api.truto.one/static-gate', {
  method: 'POST',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify(body),
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/static-gate"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
}
payload = {
    "name": "My Static Gate",
    "domain": "api.example.com",
    "environment_id": "8a2b104d-74a6-47f2-b93e-c6b611e82391",
    "api_token_secret": "your-api-token-secret"
}

response = requests.post(url, headers=headers, params=params, json=payload)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const body = {
  "name": "My Static Gate",
  "domain": "api.example.com",
  "environment_id": "8a2b104d-74a6-47f2-b93e-c6b611e82391",
  "api_token_secret": "your-api-token-secret"
};

const result = await truto.staticGate.create(body);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    body = {
        "name": "My Static Gate",
        "domain": "api.example.com",
        "environment_id": "8a2b104d-74a6-47f2-b93e-c6b611e82391",
        "api_token_secret": "your-api-token-secret"
    }

    result = await truto_api.static_gates.create(body)
    print(result)

asyncio.run(main())